Creates a new db_info_data object

Request Information

URI Parameters :

None.

Body Parameters :

db_info_data
NameDescriptionTypeAdditional information
id

Primary key

globally unique identifier
target_id

Foreign key of the object using his Odyssee Guid Primary Key

globally unique identifier

Optionally required : target_id or target_code must be provided

target_code

Foreign key of the object using ERP PK when adding/updating db_info_data

string

Optionally required : target_id or target_code must be provided

db_table_id

Foreign key to the table that own the "target_id" (Example:article,company,project) using Guid

globally unique identifier

Optionally required : db_table_id or db_table_name must be provided

db_table_name

Foreign key to the table that own the "target_id" (Example:article,company,project) using table name

string

Optionally required : db_table_id or db_table_name must be provided

db_info_field_id

globally unique identifier

Optionally required : db_info_field_id, db_info_field_name or db_info_field must be provided

db_info_field_name

string

Optionally required : db_info_field_id, db_info_field_name or db_info_field must be provided

db_info_field

db_info_field

Optionally required : db_info_field_id, db_info_field_name or db_info_field must be provided

value

The value of this info fields for this targetId. Follow the formating rules (API / HELP / Info Fields)

string

Required

reference_back_office

The Id/Ref of the back office for this object

string

Max length: 50

sys_logical_delete

sys_logical_delete

boolean
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "2a59a4b8-165b-480e-b2b4-a2ac4016c8fb",
  "target_id": "12e71450-9772-43a8-876a-abf53090012d",
  "target_code": "sample string 3",
  "db_table_id": "baf53db2-2cf5-4798-b37d-32e00f91014d",
  "db_table_name": "sample string 5",
  "db_info_field_id": "073308f4-3a34-487d-a1cb-f84a9d4282e4",
  "db_info_field_name": "sample string 7",
  "value": "sample string 8",
  "reference_back_office": "sample string 9",
  "sys_logical_delete": true,
  "modified_dateutc": "2026-06-25T21:03:20.4213528+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.